For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeel Home
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
OverviewPlatformEmployer of RecordContractorsGlobal PayrollHREmbeddedDeel ITAPI ReferenceChangelog
  • Resources
    • Blog
    • Community
    • API spec
  • Endpoints
    • PATCHProfiles
      • POSTCreate a webhook
      • DELDelete a webhook
      • PATCHEdit a webhook
      • GETList of webhook event types
      • GETList of webhooks
      • GETRetrieve a single webhook
LogoLogo
SupportDeel Home
EndpointsWebhooks

Retrieve a single webhook

GET
/webhooks/:id
GET
/rest/v2/webhooks/:id
$curl https://api.letsdeel.com/rest/v2/webhooks/id \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
1{
2 "data": {
3 "id": "a3f1c9d2-4b7e-4f9a-9c3d-2e5b7f8a1c9d",
4 "name": "Invoice Payment Webhook",
5 "description": "Webhook to notify about invoice payments",
6 "status": "enabled",
7 "url": "https://webhooks.example.com/invoice-payments",
8 "signing_key": "b7f8a1c9d2e5b3f1c9d4b7e4f9a9c3d2",
9 "api_version": "v2",
10 "events": [
11 "contract.created",
12 "invoice.paid",
13 "payment.failed"
14 ],
15 "created_at": "2024-05-10T09:15:30Z",
16 "updated_at": "2024-06-01T12:00:00Z",
17 "hidden": false,
18 "internal": true,
19 "deleted_at": null
20 }
21}
Retrieve a single webhook subscription.
Was this page helpful?
Previous

Get HRX manager for worker

Next
Built with

Authentication

AuthorizationBearer
## Authentication The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail. ```curl curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \ -H 'Authorization: Bearer YOUR-TOKEN-HERE' ``` [Learn more about authentication](/api/authentication)
OR
AuthorizationBearer

Standard OAuth2 security scheme based on https://swagger.io/docs/specification/authentication/

Path parameters

idstringRequired

Response

successful operation
dataobject

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
405
Method Not Allowed Error
429
Too Many Requests Error
500
Internal Server Error

Authentication

The Deel API uses bearer tokens to authenticate requests. All API calls must be made over HTTPS — calls over plain HTTP or without authentication will fail.

1curl -X GET 'https://api.letsdeel.com/rest/v2/contracts' \
2 -H 'Authorization: Bearer YOUR-TOKEN-HERE'

Learn more about authentication